Oldal: 11 / 12

Re: Puli 6.2

Elküldve: 2019.03.30. 14:16
Szerző: S-kami

Re: Puli 6.2

Elküldve: 2019.03.30. 14:37
Szerző: Asterix
Üdv!
Teljes mértékben igaza van gjuhasznak! :roll:

Re: Puli 6.2

Elküldve: 2019.03.30. 16:44
Szerző: gjuhasz
Kedves Fórumtársak!

Némi botladozás után végre be tudok lépni a fórumba is, köszönet Skaminak.

A fent idézett https://skamilinux.hu/puli-7-0/#comment-171 kommentemet, amit eredetileg a fórumba szántam volna de oda sikeredett, azóta a lényeget megtartva átírtam, hogy az eredeti helyén maradhasson.

Kedves Asterix, köszönöm az egyetértő hozzászólást. Remélem, hogy az átírt és bővített kommentem (kb.egyidőben gépelhettünk és nem olvastam el, amit írtál) nem változtatja meg a véleményedet.

Jó terelgetést!

Üdv

gjuhasz

Puli 7.0 64 bit

Elküldve: 2019.04.23. 20:05
Szerző: gjuhasz
Kedves Fórumtársak!

Sikeresen teszteltem a Puli 64-bites változatát a 4.19.23-as kernellel, kétféle nvidia kártyával.
A fájlok (vmlinuz, zdrv_puli7.0.sfs, nvidia-340_K4.19.23_x86_64.pet) letölthetők innen:

https://sourceforge.net/projects/puppys ... t/k4.19.23

Az nvidia driver leánykori neve nvidia-340.107_K4.19.23_x86_64.pet és itt bukkantam rá:
https://drive.google.com/open?id=1XvAmg ... 8T_ghVBwWX.
A csomagot kibontva, a pinstall.sh fájlból kivettem az nvidia-xconfig & sort, hogy újra-csomagolás után a Pulival elinduljon. A feltöltött neve egy kicsit rövidebb lett.


Kipróbáltam a Pulit az 5.0.7 kernellel is (https://archive.org/download/Puppy_Linu ... 4.tar.bz2 ). Jól és gyorsan működik, bár tapasztaltam néhány furcsaságot, pl.:

- betöltés közben a szokásosnál később érzékeli a billenyű-leütéseket
- kilépés után nem kapcsolja ki a gépet.

Egyelőre nem találtam az ehhez a kernelhez és a meglett korú nvidia kártyá(i)mhoz való 340 vagy 342-es drivert. Várok a most bejelentett 5.1 kernelre és majd ahhoz próbálok egy nvidia drivert összehozni.

Jó terelgetést!

Üdv

gjuhasz

nvidia-410

Elküldve: 2019.04.26. 00:34
Szerző: gjuhasz
Kedves Fórumtársak!

Letöltöttem Skami https://archive.org/download/Puppy_Linu ... river_Repo kincstárából a Bionic64 pupletekhez készült
nvidia-410.93_K4.19.23_x86_64.pet fájlt.
Nem csoda, hogy a Xenial64 alapú Puli 7 kiakadt tőle, és csak némi rábeszélés után kezdett életre kelni.
A Pulival, és valószínűleg más K4.19.23, Xenial64-es puplettel is jól működő (p betűvel kiegészített nevű) változat elérhető itt:

https://sourceforge.net/projects/puppys ... t/k4.19.23

GeForce GT 740-es videokártyával teszteltem.


Jó terelgetést!

Údv

gjuhasz

Puli 7.1

Elküldve: 2019.08.13. 17:54
Szerző: gjuhasz
Kedves Fórumtársak!

Ezúton ünnepélyesen bejelentem a Puli 7.1 verzióját.

Részletes információ a https://skamilinux.hu/puli-7-1-64-bites-kiadas/ linken (köszi, Skami)

Főbb újdonságok:

* Az AppImage formátumú alkalmazások támogatása (ikon az asztalon)
* A "gyári" alkalmazásokkal való kompatibilitás javítása
* Firejail támogatás bővítése
* Nvidia driver támogatás (választható a bootoláskor)
* Az elavult vált modulok kigyomlálása/ráncfelvarrása
* A "Lusta" profil okosítása
* Sok alkalmazás tesztelése és feltöltése ide: https://sourceforge.net/projects/puppys ... /packages/
* Hibajavítások

Hm... a fenti listából talán nem látszik, de mintha sokkal többet dolgoztam volna ezen a szegény jószágon...

Jó terelgetést!

Üdv

gjuhasz

Re: Puli 6.2

Elküldve: 2019.08.14. 06:01
Szerző: S-kami
Részemről a megtiszteltetés, hogy megoszthattam !

Egy apróság még volna, ezt csak úgy itthagyom - bocs a méretezésért, telóról vagyok:
Screenshot_20190814-062917.jpg
Screenshot_20190814-062917.jpg (577.23 KiB) Megtekintve 863 alkalommal

Re: Puli 7.1

Elküldve: 2019.08.23. 22:59
Szerző: gjuhasz
Kedves Fórumtársak!

Néhány programcsomag (akár AppImage is lehet, pl. az lmms) nem engedi, hogy a root felhasználó futtassa, a spot júzert viszont egyes komponensei nem szeretik. Ezt az ellentmondást oldja fel az

--allowroot

illetve másoknál az

-- allow-root

kapcsoló, ami a fájl ikonjára jobb egérgombbal kattintva a menüből aktiválható.

Az AllowRoot.pet csomagot feltöltöttem a sourceforge repóba:

https://sourceforge.net/projects/puppys ... /packages/

Sok más puplettel is működik, nem csak a Pulival.

Jó terelgetést!

Üdv

gjuhasz

Futásidejű paraméterek menüből

Elküldve: 2019.08.30. 00:43
Szerző: gjuhasz
Kedves Fórumtársak!

Készítettem egy kis AddParams.pet csomagot, amely lehetővé teszi, hogy a jobbklikk menüben egyszeri futásidejű paramétereket adjunk a kiválasztott futtatható fájlhoz (application_x-executable) vagy osztott programkönyvtárhoz (application_x-sharedlib).

Jó szolgálatot tehet az AppImage formátumú csomagok futtatásakor, vagy ha a firejail homokozó környezetben bonyolultabb paraméterezésre van szükség.

Az előtag (prefix) és utótag (postfix) külön-külön megadható vagy üresen hagyható.

Egyszerű példa:
  • Az /usr/bin/links2 -re jobbklikkelve kiválasztjuk az Apply Runtime Parameters menüpontot
  • Az Előtag? kérdésre beírhatjuk: run-as-spot (vagy akár azt is, hogy firejail --noprofile run-as-spot
    persze az utóbbi esetben nem történik semmi, ha nincs a firejail telepítve)
  • Az Utótag? kérdésre írjuk be: -g skamilinux.hu
A futtatásra kiválasztott fájl korábbi elő- és utótagját felajánlja elfogadásra/szerkesztésre (a /root/.config/adrtprs/ mappában tárolja az infót a gép kikapcsolásáig).

A Mégsem gombra kattintva kilépünk, ilyenkor a futtatás elmarad és a korábbi elő- utótagot nem írja felül.

Nem jelzi ki, ha esetleg futási hiba történt, de az infót otthagyja a /tmp/adrtprs fájlban.

Feltöltöttem a sourceforge repóba:

https://sourceforge.net/projects/puppys ... /packages/

Tartalmazza az előző hozzászólásban említett AllowRoot.pet csomagot is. Valószínűleg sok más puplettel is működik, nem csak a Pulival.

Jó terelgetést!

Üdv

gjuhasz

Re: Futásidejű paraméterek menüből

Elküldve: 2019.09.01. 20:30
Szerző: gjuhasz
gjuhasz írta:
2019.08.30. 00:43
Feltöltöttem a sourceforge repóba:
https://sourceforge.net/projects/puppys ... /packages/
Új AddParams.pet verzió érhető el, az előző hozzászólást szerkesztettem.

Jó terelgetést!

Üdv

gjuhasz